Subject: Re: [Fot] Mike Mehl?

From: Bill via Fot <[email-masked]>
Date: Thu, 4 Apr 2019 17:36:15 -1000

Sorry I didn’t think of this sooner. I don’t have recent information, but several weeks ago Mike suffered a stroke, It did quite a bit of damage and he’s been in the hospital since then, making slow improvement. Tony Garmey might have more complete and recent information 

> On Apr 4, 2019, at 2:33 PM, Joe Alexander via Fot <[email-masked]> wrote:
> 
> I received a telephone call this evening from Portland, OR, asking me if I knew about FOT Mike Mehl.
> 
> I heard of a serious medical issue, but it was hearsay.
> 
> Does anyone have a firsthand report?
> 
> Thank you.
> 
> Joe Alexander
> 4505 Donald Dr
> Cedar Falls, IA 50613
> The-vintage-racer.com
> Gasketinnovations.com
> Cell:  319.464.4711
> 
> 
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/fot
> Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]
> 
> 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]